import { JSX } from 'solid-js';
import { Atom } from '@cn-ui/use';
interface CascaderProps extends JSX.HTMLAttributes<HTMLDivElement> {
    options: string[][] | Atom<string[][]>;
    value: string[] | Atom<string[]>;
}
export declare const Cascader: import("solid-js").Component<Omit<CascaderProps, "style" | "class"> & {
    ref?: HTMLDivElement | ((el: HTMLDivElement) => void);
    style?: string | JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
export {};
